OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_Name Class Reference

`#include <PDataStd_Name.hxx>`

Inheritance diagram for PDataStd_Name:

[legend]

## Public Member Functions
Standard_EXPORT | PDataStd_Name ()
Standard_EXPORT | PDataStd_Name (const Handle(PCollection_HExtendedString)&V)
Standard_EXPORT Handle_PCollection_HExtendedString | Get () const
Standard_EXPORT void | Set (const Handle(PCollection_HExtendedString)&V)
| PDataStd_Name (const Storage_stCONSTclCOM &a)
| Handle (PCollection_HExtendedString) _CSFDB_GetPDataStd_NamemyValue() const
void | _CSFDB_SetPDataStd_NamemyValue (const Handle(PCollection_HExtendedString)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PCollection_HExtendedString | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_Name::PDataStd_Name | ( |  | ) |

Standard_EXPORT PDataStd_Name::PDataStd_Name | ( | const Handle(PCollection_HExtendedString)& | V | ) |

PDataStd_Name::PDataStd_Name | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PDataStd_Name::_CSFDB_SetPDataStd_NamemyValue | ( | const Handle(PCollection_HExtendedString)& | p | ) | `[inline]`

Standard_EXPORT Handle_PCollection_HExtendedString PDataStd_Name::Get | ( |  | ) | const

Standard_EXPORT const PDataStd_Name::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PDataStd_Name::Handle | ( | PCollection_HExtendedString |  | ) | const`[inline]`

Standard_EXPORT void PDataStd_Name::Set | ( | const Handle(PCollection_HExtendedString)& | V | ) |

## Field Documentation

Handle_PCollection_HExtendedString PDataStd_Name::myValue`[private]`

The documentation for this class was generated from the following file:

- PDataStd_Name.hxx